### Gradle ###
.gradle/
build/

# Gradle Wrapper files
!gradle/wrapper/gradle-wrapper.jar
.gradle-version

# Local settings
.vscode/settings.json
.vscode/tasks.json
.vscode/launch.json
.vscode/extensions.json
.vscode/*.log

### Java ###
# Compiled class files
*.class

# Log files
*.log

# Generated files by Maven/Gradle
target/
classes/
test-classes/

# Ignore JaCoCo coverage reports
jacoco.exec
.exec

# Ignore Javadoc
/javadoc/

# Ignore a few specific IDE files
*.iml
.idea/
.project
.classpath
.settings/
bin/

# Temporary files created by the OS
.DS_Store
Thumbs.db
/nginx-1.28.0/logs/nginx.pid

# Upload files
uploads/
